#az1# == `room_det`.`aztarikh`
#ta1# == `room_det`.`tatarikh`
#az2# == `r_det`.`aztarikh`
#ta2# == `r_det`.`tatarikh`


------------------------------------

and ((#az1# > #az2# and #az1# < #ta2#) or (#ta1# > #az2# and #ta1# < #ta2#) or (#az1# < #az2# and #ta1#>#ta2#))


------------------------------------

and ((`room_det`.`aztarikh` > `r_det`.`aztarikh` and `room_det`.`aztarikh` < `r_det`.`tatarikh`) or (`room_det`.`tatarikh` > `r_det`.`aztarikh` and `room_det`.`tatarikh` < `r_det`.`tatarikh`) or (`room_det`.`aztarikh` < `r_det`.`aztarikh` and `room_det`.`tatarikh`>`r_det`.`tatarikh`))

////////////////////////////////////

SELECT 
`room_det`.`reserve_id`,`room_det`.`room_id`,`room_det`.`aztarikh`,`room_det`.`tatarikh` FROM `room_det` join `room_det` as `r_det` on (`room_det`.`room_id`=`r_det`.`room_id` and `room_det`.`reserve_id`<>`r_det`.`reserve_id` and `r_det`.`reserve_id`>0 and `room_det`.`reserve_id`>0 and ((`room_det`.`aztarikh` > `r_det`.`aztarikh` and `room_det`.`aztarikh` < `r_det`.`tatarikh`) or (`room_det`.`tatarikh` > `r_det`.`aztarikh` and `room_det`.`tatarikh` < `r_det`.`tatarikh`) or (`room_det`.`aztarikh` < `r_det`.`aztarikh` and `room_det`.`tatarikh`>`r_det`.`tatarikh`))) where `room_det`.`room_id`>0 group by `room_det`.`room_id`,`room_det`.`reserve_id` order by `room_det`.`room_id`,`room_det`.`reserve_id`
